import { HttpException, HttpStatus } from '@nestjs/common';
import { Response } from 'express';
import { RESTError } from '../models/dtos/wrappers/rest-wrapper.class';
declare class HandledException extends HttpException {
    private readonly _errors;
    private readonly _statusCode?;
    constructor(_errors: RESTError[], _statusCode?: HttpStatus);
    send(response: Response): void;
    getErrors(): RESTError[];
}
export { HandledException };
