import { HydratedDocument, Schema as MongooseSchema, Types } from 'mongoose';
import { IParent } from '../interfaces/parent.interface';
import { IContact } from '../interfaces/contact.interface';
import { IPerson } from '../interfaces/person.interface';
export declare class Parent implements IParent {
    userId: string;
    person: IPerson;
    contacts: IContact[];
}
export declare const ParentSchema: MongooseSchema<Parent, import("mongoose").Model<Parent, any, any, any, import("mongoose").Document<unknown, any, Parent> & Parent & {
    _id: Types.ObjectId;
} & {
    __v: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Parent, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Parent>> & import("mongoose").FlatRecord<Parent> & {
    _id: Types.ObjectId;
} & {
    __v: number;
}>;
export type ParentDocument = HydratedDocument<Parent>;
